From 92b34d41925d0e2ed41f5dff49a97dd462e2d2b9 Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: Mar 15 2024 04:44:44 +0000
Subject: [PATCH 19/220] Cosmic applets


---

diff --git a/cosmic-applets/srpm.sh b/cosmic-applets/srpm.sh
index 18db25d..9ccac3d 100644
--- a/cosmic-applets/srpm.sh
+++ b/cosmic-applets/srpm.sh
@@ -5,16 +5,60 @@
 name='cosmic-applets'
 version='0.1.0'
 
-repo='https://pagure.io/fedora-cosmic/cosmic-packaging'
-path_to_spec='cosmic-applets/cosmic-applets.spec'
+path_to_spec='cosmic-applets/*'
+pop_repo='cosmic-applets'
+
+# Commit to target. Use "latest" if you want master
+commit="latest"
+
+# Don't edit anything past this line 
+# ===================================================== #
+
+LATEST="latest"
 
 cd ../..
 # We should be in the base directory now
 
+git clone --recurse-submodules https://github.com/pop-os/$pop_repo
+
+cd $pop_repo
+
+if [[ "$commit" == "$LATEST" ]]
+then
+    commit=$(git rev-parse HEAD)
+fi
+
+echo $commit
+short_commit=${commit:0:6}
+
+git reset --hard $commit
+
+mkdir .vendor
+
+cargo vendor > .vendor/config.toml
+
+tar -pcf vendor.tar vendor && mv vendor.tar ../vendor.tar
+
+rm -rf vendor && cd ..
+
+# Back into cosmic-packaging
+
+ls
+
+if [ "$pop_repo" != "$name" ]; then
+    mv $pop_repo $name
+else
+    echo "names are equal. continuing..."
+fi
+
+tar -czf $name.tar.gz $name
+
+rm -rf $name
+
 cp cosmic-packaging/$path_to_spec .
 
 rm -rf cosmic-packaging
 
 current_date=$(date +'%Y%m%d.%H')
 
-sed -i "/^Version:    / s/.*/Version: $version~$current_date/" $name.spec
+sed -i "/^Version:    / s/.*/Version: $version~$current_date.$short_commit/" $name.spec
diff --git a/cosmic_apps.py b/cosmic_apps.py
index 36bdcea..2c9aabb 100644
--- a/cosmic_apps.py
+++ b/cosmic_apps.py
@@ -143,360 +143,25 @@ COSMIC_APP_LIBRARY = {
 """,
 }
 
-COSMIC_APPLET_APP_LIST = {
+COSMIC_APPLETS = {
 "globals": "",
-"name": "cosmic-applet-app-list",
+"name": "cosmic-applets",
 "version": "0.1.0",
 "repo": "https://github.com/pop-os/cosmic-applets",
 "reposhort": "cosmic-applets",
 "commit": "latest",
-"summary": "WIP app list applet for cosmic-panel",
+"summary": "WIP applets for cosmic-panel",
 "license": GPL3,
 "sources": STANDARD_SOURCES,
 "buildrequires": STANDARD_BUILDREQUIRES,
 "requires": STANDARD_REQUIRES,
 "prep": STANDARD_PREP,
 "build": f"""
-just vendor=1 _extract_vendor
-cargo build --frozen --offline --release --bin cosmic-app-list
+just build-vendored
 """,
-"install": f"just rootdir=%{{buildroot}} prefix=%{{_prefix}} _install_app_list",
-"files": f"""
-{contains_app("cosmic-app-list","com.system76.CosmicAppList",True, True, True, False, False, "cosmic-app-list/")}
-%{{_datadir}}/cosmic/com.system76.CosmicAppList/v1/favorites
-%{{_datadir}}/cosmic/com.system76.CosmicAppList/v1/filter_top_levels
-"""
-}
-
-COSMIC_APPLET_AUDIO = {
-"globals": "",
-"name": "cosmic-applet-audio",
-"version": "0.1.0",
-"repo": "https://github.com/pop-os/cosmic-applets",
-"reposhort": "cosmic-applets",
-"commit": "latest",
-"summary": "WIP audio applet for cosmic-panel",
-"license": GPL3,
-"sources": STANDARD_SOURCES,
-"buildrequires": STANDARD_BUILDREQUIRES,
-"requires": STANDARD_REQUIRES,
-"prep": STANDARD_PREP,
-"build": f"""
-just vendor=1 _extract_vendor
-cargo build --frozen --offline --release --bin cosmic-applet-audio
-""",
-"install": f"just rootdir=%{{buildroot}} prefix=%{{_prefix}} _install_audio",
-"files": f"""
-{contains_app("cosmic-applet-audio","com.system76.CosmicAppletAudio",True, True, True, False, False, "cosmic-applet-audio/")}
-"""
-}
-
-COSMIC_APPLET_BATTERY = {
-"globals": "",
-"name": "cosmic-applet-battery",
-"version": "0.1.0",
-"repo": "https://github.com/pop-os/cosmic-applets",
-"reposhort": "cosmic-applets",
-"commit": "latest",
-"summary": "WIP battery applet for cosmic-panel",
-"license": GPL3,
-"sources": STANDARD_SOURCES,
-"buildrequires": STANDARD_BUILDREQUIRES,
-"requires": STANDARD_REQUIRES,
-"prep": STANDARD_PREP,
-"build": f"""
-just vendor=1 _extract_vendor
-cargo build --frozen --offline --release --bin cosmic-applet-battery
-""",
-"install": f"just rootdir=%{{buildroot}} prefix=%{{_prefix}} _install_battery",
-"files": f"""
-{contains_app("cosmic-applet-battery","com.system76.CosmicAppletBattery",True, True, True, False, False, "cosmic-applet-battery/")}
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-display-brightness-high-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-display-brightness-low-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-display-brightness-medium-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-display-brightness-off-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-level-0-charging-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-level-0-limited-charging-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-level-0-limited-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-level-0-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-level-10-charging-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-level-10-limited-charging-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-level-10-limited-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-level-10-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-level-100-charging-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-level-100-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-level-20-charging-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-level-20-limited-charging-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-level-20-limited-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-level-20-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-level-35-charging-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-level-35-limited-charging-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-level-35-limited-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-level-35-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-level-5-charging-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-level-5-limited-charging-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-level-5-limited-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-level-5-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-level-50-charging-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-level-50-limited-charging-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-level-50-limited-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-level-50-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-level-65-charging-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-level-65-limited-charging-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-level-65-limited-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-level-65-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-level-80-charging-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-level-80-limited-charging-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-level-80-limited-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-level-80-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-level-90-charging-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-battery-level-90-symbolic.svg
-"""
-}
-
-COSMIC_APPLET_BLUETOOTH = {
-"globals": "",
-"name": "cosmic-applet-bluetooth",
-"version": "0.1.0",
-"repo": "https://github.com/pop-os/cosmic-applets",
-"reposhort": "cosmic-applets",
-"commit": "latest",
-"summary": "WIP bluetooth applet for cosmic-panel",
-"license": GPL3,
-"sources": STANDARD_SOURCES,
-"buildrequires": STANDARD_BUILDREQUIRES,
-"requires": STANDARD_REQUIRES,
-"prep": STANDARD_PREP,
-"build": f"""
-just vendor=1 _extract_vendor
-cargo build --frozen --offline --release --bin cosmic-applet-bluetooth
-""",
-"install": f"just rootdir=%{{buildroot}} prefix=%{{_prefix}} _install_bluetooth",
-"files": f"""
-{contains_app("cosmic-applet-bluetooth","com.system76.CosmicAppletBluetooth",True, True, True, False, False, "cosmic-applet-bluetooth/")}
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-bluetooth-active-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-bluetooth-disabled-symbolic.svg
-"""
-}
-
-COSMIC_APPLET_MINIMIZE = {
-"globals": "",
-"name": "cosmic-applet-minimize",
-"version": "0.1.0",
-"repo": "https://github.com/pop-os/cosmic-applets",
-"reposhort": "cosmic-applets",
-"commit": "latest",
-"summary": "WIP minimize applet for cosmic-panel",
-"license": GPL3,
-"sources": STANDARD_SOURCES,
-"buildrequires": STANDARD_BUILDREQUIRES,
-"requires": STANDARD_REQUIRES,
-"prep": STANDARD_PREP,
-"build": f"""
-just vendor=1 _extract_vendor
-cargo build --frozen --offline --release --bin cosmic-applet-minimize
-""",
-"install": f"just rootdir=%{{buildroot}} prefix=%{{_prefix}} _install_minimize",
-"files": f"""
-{contains_app("cosmic-applet-minimize","com.system76.CosmicAppletMinimize",True, True, True, False, False, "cosmic-applet-minimize/")}
-"""
-}
-
-COSMIC_APPLET_NETWORK = {
-"globals": "",
-"name": "cosmic-applet-network",
-"version": "0.1.0",
-"repo": "https://github.com/pop-os/cosmic-applets",
-"reposhort": "cosmic-applets",
-"commit": "latest",
-"summary": "WIP network applet for cosmic-panel",
-"license": GPL3,
-"sources": STANDARD_SOURCES,
-"buildrequires": STANDARD_BUILDREQUIRES,
-"requires": STANDARD_REQUIRES,
-"prep": STANDARD_PREP,
-"build": f"""
-just vendor=1 _extract_vendor
-cargo build --frozen --offline --release --bin cosmic-applet-network
-""",
-"install": f"just rootdir=%{{buildroot}} prefix=%{{_prefix}} _install_network",
-"files": f"""
-{contains_app("cosmic-applet-network","com.system76.CosmicAppletNetwork",True, True, True, False, False, "cosmic-applet-network/")}
-"""
-}
-
-COSMIC_APPLET_NOTIFICATIONS = {
-"globals": "",
-"name": "cosmic-applet-notifications",
-"version": "0.1.0",
-"repo": "https://github.com/pop-os/cosmic-applets",
-"reposhort": "cosmic-applets",
-"commit": "latest",
-"summary": "WIP notifications applet for cosmic-panel",
-"license": GPL3,
-"sources": STANDARD_SOURCES,
-"buildrequires": STANDARD_BUILDREQUIRES,
-"requires": STANDARD_REQUIRES,
-"prep": STANDARD_PREP,
-"build": f"""
-just vendor=1 _extract_vendor
-cargo build --frozen --offline --release --bin cosmic-applet-notifications
-""",
-"install": f"just rootdir=%{{buildroot}} prefix=%{{_prefix}} _install_notifications",
-"files": f"""
-{contains_app("cosmic-applet-notifications","com.system76.CosmicAppletNotifications",True, True, True, False, False, "cosmic-applet-notifications/")}
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-notification-disabled-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-notification-new-symbolic.svg
-%{{_datadir}}/icons/hicolor/scalable/status/cosmic-applet-notification-symbolic.svg
-"""
-}
-
-COSMIC_APPLET_POWER = {
-"globals": "",
-"name": "cosmic-applet-power",
-"version": "0.1.0",
-"repo": "https://github.com/pop-os/cosmic-applets",
-"reposhort": "cosmic-applets",
-"commit": "latest",
-"summary": "WIP power applet for cosmic-panel",
-"license": GPL3,
-"sources": STANDARD_SOURCES,
-"buildrequires": STANDARD_BUILDREQUIRES,
-"requires": STANDARD_REQUIRES,
-"prep": STANDARD_PREP,
-"build": f"""
-just vendor=1 _extract_vendor
-cargo build --frozen --offline --release --bin cosmic-applet-power
-""",
-"install": f"just rootdir=%{{buildroot}} prefix=%{{_prefix}} _install_power",
-"files": f"""
-{contains_app("cosmic-applet-power","com.system76.CosmicAppletPower",True, True, True, False, False, "cosmic-applet-power/")}
-"""
-}
-
-COSMIC_APPLET_STATUS_AREA = {
-"globals": "",
-"name": "cosmic-applet-status-area",
-"version": "0.1.0",
-"repo": "https://github.com/pop-os/cosmic-applets",
-"reposhort": "cosmic-applets",
-"commit": "latest",
-"summary": "WIP status area applet for cosmic-panel",
-"license": GPL3,
-"sources": STANDARD_SOURCES,
-"buildrequires": STANDARD_BUILDREQUIRES,
-"requires": STANDARD_REQUIRES,
-"prep": STANDARD_PREP,
-"build": f"""
-just vendor=1 _extract_vendor
-cargo build --frozen --offline --release --bin cosmic-applet-status-area
-""",
-"install": f"just rootdir=%{{buildroot}} prefix=%{{_prefix}} _install_status_area",
-"files": f"""
-{contains_app("cosmic-applet-status-area","com.system76.CosmicAppletStatusArea",True, True, False, False, False, "cosmic-applet-status-area/")}
-%{{_datadir}}/icons/hicolor/scalable/app/com.system76.CosmicAppletStatusArea.svg
-"""
-}
-
-COSMIC_APPLET_TILING = {
-"globals": "",
-"name": "cosmic-applet-tiling",
-"version": "0.1.0",
-"repo": "https://github.com/pop-os/cosmic-applets",
-"reposhort": "cosmic-applets",
-"commit": "latest",
-"summary": "WIP tiling applet for cosmic-panel",
-"license": GPL3,
-"sources": STANDARD_SOURCES,
-"buildrequires": STANDARD_BUILDREQUIRES,
-"requires": STANDARD_REQUIRES,
-"prep": STANDARD_PREP,
-"build": f"""
-just vendor=1 _extract_vendor
-cargo build --frozen --offline --release --bin cosmic-applet-tiling
-""",
-"install": f"just rootdir=%{{buildroot}} prefix=%{{_prefix}} _install_tiling",
-"files": f"""
-{contains_app("cosmic-applet-tiling","com.system76.CosmicAppletTiling",True, True, False, False, False, "cosmic-applet-tiling/")}
-%{{_datadir}}/icons/hicolor/scalable/apps/com.system76.CosmicAppletTiling.Off.svg
-%{{_datadir}}/icons/hicolor/scalable/apps/com.system76.CosmicAppletTiling.On.svg
-"""
-}
-
-COSMIC_APPLET_TIME = {
-"globals": "",
-"name": "cosmic-applet-time",
-"version": "0.1.0",
-"repo": "https://github.com/pop-os/cosmic-applets",
-"reposhort": "cosmic-applets",
-"commit": "latest",
-"summary": "WIP time applet for cosmic-panel",
-"license": GPL3,
-"sources": STANDARD_SOURCES,
-"buildrequires": STANDARD_BUILDREQUIRES,
-"requires": STANDARD_REQUIRES,
-"prep": STANDARD_PREP,
-"build": f"""
-just vendor=1 _extract_vendor
-cargo build --frozen --offline --release --bin cosmic-applet-time
-""",
-"install": f"just rootdir=%{{buildroot}} prefix=%{{_prefix}} _install_time",
-"files": f"""
-{contains_app("cosmic-applet-time","com.system76.CosmicAppletTime",True, True, True, False, False, "cosmic-applet-time/")}
-"""
-}
-
-COSMIC_APPLET_WORKSPACES = {
-"globals": "",
-"name": "cosmic-applet-workspaces",
-"version": "0.1.0",
-"repo": "https://github.com/pop-os/cosmic-applets",
-"reposhort": "cosmic-applets",
-"commit": "latest",
-"summary": "WIP workspaces applet for cosmic-panel",
-"license": GPL3,
-"sources": STANDARD_SOURCES,
-"buildrequires": STANDARD_BUILDREQUIRES,
-"requires": STANDARD_REQUIRES,
-"prep": STANDARD_PREP,
-"build": f"""
-just vendor=1 _extract_vendor
-cargo build --frozen --offline --release --bin cosmic-applet-workspaces
-""",
-"install": f"just rootdir=%{{buildroot}} prefix=%{{_prefix}} _install_workspace",
+"install": f"just rootdir=%{{buildroot}} prefix=%{{_prefix}} install",
 "files": f"""
-{contains_app("cosmic-applet-workspaces","com.system76.CosmicAppletWorkspaces",True, True, True, False, False, "cosmic-applet-workspaces/")}
-"""
-}
 
-COSMIC_APPLET_PANEL_BUTTON = {
-"globals": f"%define debug_package %{{nil}}",
-"name": "cosmic-applet-panel-button",
-"version": "0.1.0",
-"repo": "https://github.com/pop-os/cosmic-applets",
-"reposhort": "cosmic-applets",
-"commit": "latest",
-"summary": "WIP panel button applet for cosmic-panel",
-"license": GPL3,
-"sources": STANDARD_SOURCES,
-"buildrequires": STANDARD_BUILDREQUIRES,
-"requires": STANDARD_REQUIRES,
-"prep": STANDARD_PREP,
-"build": f"""
-just vendor=1 _extract_vendor
-cargo build --frozen --offline --release --bin cosmic-panel-button
-""",
-"install": f"""
-just rootdir=%{{buildroot}} prefix=%{{_prefix}} _install_panel_button
-just rootdir=%{{buildroot}} prefix=%{{_prefix}} _install_app_button
-just rootdir=%{{buildroot}} prefix=%{{_prefix}} _install_workspaces_button
-""",
-"files": f"""
-%{{_bindir}}/cosmic-panel-button
-%{{_datadir}}/applications/com.system76.CosmicPanelAppButton.desktop
-%{{_datadir}}/applications/com.system76.CosmicPanelWorkspacesButton.desktop
-%{{_datadir}}/icons/hicolor/scalable/apps/com.system76.CosmicPanelAppButton.svg
-%{{_datadir}}/icons/hicolor/scalable/apps/com.system76.CosmicPanelWorkspacesButton.svg
 """
 }
 
diff --git a/specgen.py b/specgen.py
index f89960e..d0761e7 100644
--- a/specgen.py
+++ b/specgen.py
@@ -7,19 +7,7 @@ BUILD_SCRIPTS_FOLDER = "BUILD_SCRIPTS"
 
 BUILD_APPS = [
     cosmic_apps.COSMIC_APP_LIBRARY,
-    cosmic_apps.COSMIC_APPLET_APP_LIST,
-    cosmic_apps.COSMIC_APPLET_AUDIO,
-    cosmic_apps.COSMIC_APPLET_BATTERY,
-    cosmic_apps.COSMIC_APPLET_BLUETOOTH,
-    cosmic_apps.COSMIC_APPLET_MINIMIZE,
-    cosmic_apps.COSMIC_APPLET_NETWORK,
-    cosmic_apps.COSMIC_APPLET_NOTIFICATIONS,
-    cosmic_apps.COSMIC_APPLET_POWER,
-    cosmic_apps.COSMIC_APPLET_STATUS_AREA,
-    cosmic_apps.COSMIC_APPLET_TILING,
-    cosmic_apps.COSMIC_APPLET_TIME,
-    cosmic_apps.COSMIC_APPLET_WORKSPACES,
-    cosmic_apps.COSMIC_APPLET_PANEL_BUTTON,
+    cosmic_apps.COSMIC_APPLETS,
     cosmic_apps.COSMIC_BG,
     cosmic_apps.COSMIC_COMP,
     cosmic_apps.COSMIC_EDIT,

